inject(8)

NAME
inject - injects appropriate error into function if input call chain and predicates are satisfied. Uses Linux eBPF/bcc.

SYNOPSIS
inject -h [-I header] [-P probability] [-v] mode spec

DESCRIPTION
inject injects errors into specified kernel functionality when a given call chain and associated predicates are satsified. WARNING: This tool injects failures into key kernel functions and may crash the kernel. You should know what you're doing if you're using this tool. This makes use of a Linux 4.16 feature (bpf_override_return()) Since this uses BPF, only the root user can use this tool.

REQUIREMENTS
CONFIG_BPF, CONFIG_BPF_KPROBE_OVERRIDE, bcc

OPTIONS

-h  Print usage message.

-v  Display the generated BPF program, for debugging or modification.

-I header
    Necessary headers to be included.

-P probability
    Optional probability of failure, default 1.

EXAMPLES
Please see inject_example.txt

SOURCE
This is from bcc.

    https://github.com/iovisor/bcc

Also look in the bcc distribution for a companion _examples.txt file containing example usage, output, and commentary for this tool.

OS
Linux

STABILITY
Unstable - in development.

AUTHOR
Howard McLauchlan